---
title: "Add Nirmata controller to a cluster"
diataxis: reference
applies_to:
  product: "nirmata-control-hub"
audience: ["platform-engineer","developer"]
last_updated: 2026-03-25
url: https://docs.nirmata.io/docs/reference/rest-api/sample_operations/add_nirmata_controller_to_a_cluster/
---

Step-1: Fetch cluster id - 

Request:

    curl -H "Authorization: NIRMATA-API <token>" https://nirmata.io/cluster/api/HostClusters?fields=id,name

Response:

    [ {
  "id" : "0b6c69a9-d6a6-42f1-9dc0-d7eec2c40724",
  "name" : "prod-demo"
}, {
  "id" : "a9a7bb38-1a76-477b-851b-753ad8e491b8",
  "name" : "dc-cluster-2"
}, {
  "id" : "cbe0107a-e60d-49cc-8fd8-621534fa9fb7",
  "name" : "test"
}, {
  "id" : "d56215a9-f793-4dd8-81d2-f48e030958de",
  "name" : "test-cluster"
} ]
    }

Step-2: Fetch Nirmata-controller yaml

Reuqest:
    

Step-3: Apply to a cluster

Request:

    kubectl apply -f nirmata-controller.yaml 

 

